@echo off

if "%JAVA_HOME%" == "" goto noJavaHome
if not exist "%JAVA_HOME%\bin\java.exe" goto noJavaHome

setlocal

set "JAVA=%JAVA_HOME%\bin\java"
set "BASE_DIR=%cd%"
set "CLASSPATH=.;%BASE_DIR%\conf;%BASE_DIR%\lib\*;%CLASSPATH%"

rem ===========================================================================================
rem JVM Configuration
rem ===========================================================================================
set "JAVA_OPT=%JAVA_OPT% -server -Xms256m -Xmx512m -Xmn256m"
set "JAVA_OPT=%JAVA_OPT% -XX:+UseConcMarkSweepGC -XX:CMSInitiatingOccupancyFraction=70 -XX:+CMSParallelRemarkEnabled -XX:SoftRefLRUPolicyMSPerMB=0 -XX:+CMSClassUnloadingEnabled -XX:SurvivorRatio=8 -XX:+DisableExplicitGC"
rem set "JAVA_OPT=%JAVA_OPT% -verbose:gc -Xloggc:${HOME}/rmq_srv_gc.log -XX:+PrintGCDetails"
set "JAVA_OPT=%JAVA_OPT% -XX:-OmitStackTraceInFastThrow"
rem set "JAVA_OPT=%JAVA_OPT% -Djava.ext.dirs=%BASE_DIR%\lib"
rem set "JAVA_OPT="%JAVA_OPT% -Xdebug -Xrunjdwp:transport=dt_socket,address=9555,server=y,suspend=n"
set "JAVA_OPT=%JAVA_OPT% -cp %CLASSPATH%"

TITLE=TaskService
JAVA %JAVA_OPT% com.vortex.xiaoshan.ewc.application.EwcApplication %*

goto end

:noJavaHome
echo Please set the JAVA_HOME variable in your environment, We need java(x64)!
goto exit

:error_exit
echo ERROR: %1 !!
goto exit

:exit
exit /b 1

:end
exit /b 0